org.eclipse.microprofile.config.tck.converters

## Class DuckConverter

- java.lang.Object
- - org.eclipse.microprofile.config.tck.converters.DuckConverter

All Implemented Interfaces:
  Serializable, Converter<Duck>

    public class DuckConverter
    extends Object
    implements Converter<Duck>

Author:
  Mark Struberg
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DuckConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Duck` `convert(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DuckConverter

    public DuckConverter()

### Method Detail

#### convert

    public Duck convert(String value)

Specified by:
  `convert` in interface `Converter<Duck>`